#ifndef __INTERNSPLINE_H__
#define __INTERNSPLINE_H__

#include "exttypes.h"
#include "geommath.h"
#include <stdio.h>


class CInternKey1List
{
	friend class CConvTempAnim;
	friend class CConv3DS;
	
public:
	const int32 GetNumKeys() const { return m_iNumKeys; }
	const float GetKey(const int32 index) const { return m_pKeys[index]; }
	CInternKey1List() : m_iNumKeys(0), m_pKeys(NULL) {}
	
private:
	int32 m_iNumKeys;
	float * m_pKeys;
};

class CInternKey3List
{
	friend class CConvTempAnim;
	friend class CConv3DS;
	
public:
	const int32 GetNumKeys() const { return m_iNumKeys; }
	const Vec3 GetKey(const int32 index) const { return m_pKeys[index]; }
	CInternKey3List() : m_iNumKeys(0), m_pKeys(NULL) {}

private:
	int32 m_iNumKeys;
	Vec3 * m_pKeys;
};

class CInternQuatList
{
	friend class CConvTempAnim;
	friend class CConv3DS;
	
public:
	const int32 GetNumKeys() const { return m_iNumKeys; }
	const Quat GetKey(const int32 index) const { return m_pKeys[index]; }
	CInternQuatList() : m_iNumKeys(0), m_pKeys(NULL) {}

private:
	int32 m_iNumKeys;
	Quat * m_pKeys;
};

#endif

