#include <stdio.h>
#include "conv3ds.h"
#include "export.h"
#include "scriptparser.h"
#include "inputcontainer.h"


int main(int argc, char * argv[])
{
	// Parse script and output scenefiles
	CScriptParser scriptparse;
	if(scriptparse.ParseScript((argc>1) ? argv[1] : "parse_script.txt") == true)
	{
		CInputContainer inCont = scriptparse.GetInputContainer();
		bool bNoError = true;
		int i=0;
		while(i<inCont.GetNum3dsInputFiles() && bNoError)
		{
			// parse .3ds file
			CConv3DS conv3ds;
			bNoError = conv3ds.Conv3dsToIntern(inCont.Get3dsInputPath(i), (CTexturePropContainer *) &inCont);

			// export to intermediate fileformat
			CExport cExport;
			cExport.WriteScene(conv3ds, inCont.GetOutputFolder(), inCont.GetMaxVertsInStrip());

			// next
			++i;
		}
	}
	else
		printf("failed to parse the script!\n");
	
	
	return 0;

}
