#ifndef __INPUTCONTAINER_H__
#define __INPUTCONTAINER_H__

#include "exttypes.h"
#include "textureprops.h"


// InputContainer
class CInputContainer : public CTexturePropContainer
{
	friend class CScriptParser;

public:	// public API
	const int32 GetNum3dsInputFiles();
	const char * Get3dsInputPath(const int32 i3dsInNumber);
	const char * GetOutputFolder();
	const int32 GetMaxVertsInStrip();

	CInputContainer();
	~CInputContainer();

private:	// secret API used by scriptparser
	bool AddInputFile(const char * cptr, const int32 length);
	bool AddTextureFolder(const char * cptr, const int32 length);
	bool SetStripMaxVerts(const int32 strip_maxverts);
	bool SetOutputFolder(const char * cptr, const int32 length);
	bool SetDefaultTextureProps(const CTextureProps &texProps);
	bool AddSpecificTextureProps(const CTextureProps &texProps);


private:		
	// list of input files
	int32 m_iInListLen;
	char ** m_pInLst;
	
	// output folder
	char * m_pOutPath;

	// maximum number of vertices to be put in a strip
	int32 m_iStripMaxVerts;
};

#endif
